Subject: ÐžÑˆÐ¸Ð±ÐºÐ° ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐ¸ dev-python/bsddb3

Description: ÐŸÑ€Ð¸ Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸Ð¸ Ð´Ð¾ Ð²ÐµÑ€Ñ•Ð¸Ð¸ 15 Ð¾Ð±Ð½Ð°Ñ€ÑƒÐ¶Ð¸Ð»Ð°Ñ•ÑŒ 

Ð¾ÑˆÐ¸Ð±ÐºÐ° ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐ¸ dev-python/bsddb3, Ð¾Ñ‡ÐµÐ²Ð¸Ð´Ð½Ð¾, Ð² Ñ•Ð²Ñ•Ð·Ð¸ Ñ• 

Ð»Ð¸Ñ†ÐµÐ½Ð·Ð¸Ð¾Ð½Ð½Ñ‹Ð¼ ÐºÐ¾Ð½Ñ„Ð»Ð¸ÐºÑ‚Ð¾Ð¼ Ð² Ð¸Ñ•Ñ…Ð¾Ð´Ð½Ð¸ÐºÐ°Ñ…, Ð²Ð¾Ñ‚ 

Ð²Ñ‹Ð²Ð¾Ð´:

<pre>

$ sudo emerge dev-python/bsddb3

ÐŸÐ°Ñ€Ð¾Ð»ÑŒ: 





!!! Timed out while closing connection to binhost

Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) dev-python/bsddb3-6.0.1::gentoo

>>> Failed to emerge dev-python/bsddb3-6.0.1, Log file:

>>>  '/var/calculate/tmp/portage/dev-python/bsddb3-6.0.1/temp/build.log'

>>> Jobs: 0 of 1 complete, 1 failed                 Load avg: 0.63, 0.29, 0.31

 * Package:    dev-python/bsddb3-6.0.1

 * Repository: gentoo

 * Maintainer: python@gentoo.org

 * USE:        abi_x86_64 amd64 elibc_glibc kernel_linux python_targets_python2_7 userland_GNU

 * FEATURES:   preserve-libs sandbox usersandbox

>>> Unpacking source...

>>> Unpacking bsddb3-6.0.1.tar.gz to /var/calculate/tmp/portage/dev-python/bsddb3-6.0.1/work

>>> Source unpacked in /var/calculate/tmp/portage/dev-python/bsddb3-6.0.1/work

>>> Preparing source in /var/calculate/tmp/portage/dev-python/bsddb3-6.0.1/work/bsddb3-6.0.1 ...

 * Will copy sources from /var/calculate/tmp/portage/dev-python/bsddb3-6.0.1/work/bsddb3-6.0.1

 * python2_7: copying to /var/calculate/tmp/portage/dev-python/bsddb3-6.0.1/work/bsddb3-6.0.1-python2_7

>>> Source prepared.

>>> Configuring source in /var/calculate/tmp/portage/dev-python/bsddb3-6.0.1/work/bsddb3-6.0.1 ...

include version 6.0

>>> Source configured.

>>> Compiling source in /var/calculate/tmp/portage/dev-python/bsddb3-6.0.1/work/bsddb3-6.0.1 ...

 * python2_7: running distutils-r1_run_phase python_compile

cp: â€˜./build/bsddb3.egg-infoâ€™ and 

â€˜/var/calculate/tmp/portage/dev-python/bsddb3-6.0.1/work/bsddb3-6.0.1-python2_7/build/bsddb3.egg-info"

€™ are the same file

/usr/bin/python2.7 setup.py build

Detected Berkeley DB version 6.0 from db.h



******* COMPILATION ABORTED *******



You are linking a Berkeley DB version licensed under AGPL3 or have a commercial license.



AGPL3 is a strong copyleft license and derivative works must be equivalently licensed.



You have two choices:
  1. If your code is AGPL3 or you have a commercial Berkeley DB license from Oracle, please, define the 

environment variable 'YES_I_HAVE_THE_RIGHT_TO_USE_THIS_BERKELEY_DB_VERSION' to any 

value, and try to install this python library again.



  2. In any other case, you have to link to a previous version of Berkeley DB. Remove Berlekey DB version 

6.0 and let this python library try to locate an older version of the Berkeley DB library in your system. 

Alternatively, you can define the environment variable 'BERKELEYDB_DIR', or 'BERKELEYDB_INCDIR' and 

'BERKELEYDB_LIBDIR', with the path of the Berkeley DB you want to use and try to install this python 

library again.



Sorry for the inconvenience. I am trying to protect you.



More details:



    https://forums.oracle.com/message/11184885

    http://lists.debian.org/debian-legal/2013/07/



******* COMPILATION ABORTED *******



 * ERROR: dev-python/bsddb3-6.0.1::gentoo failed (compile phase):

 *   (no error message)

 * 

 * Call stack:

 *     ebuild.sh, line   93:  Called src_compile

 *   environment, line 3844:  Called distutils-r1_src_compile

 *   environment, line 1021:  Called _distutils-r1_run_foreach_impl 'python_compile'

 *   environment, line  333:  Called python_foreach_impl 'distutils-r1_run_phase' 'python_compile'

 *   environment, line 3355:  Called multibuild_foreach_variant '_python_multibuild_wrapper' 

'distutils-r1_run_phase' 'python_compile'

 *   environment, line 2423:  Called _multibuild_run '_python_multibuild_wrapper' 'distutils-r1_run_phase' 

'python_compile'

 *   environment, line 2421:  Called _python_multibuild_wrapper 'distutils-r1_run_phase' 'python_compile'

 *   environment, line  599:  Called distutils-r1_run_phase 'python_compile'

 *   environment, line 1014:  Called python_compile

 *   environment, line 2963:  Called distutils-r1_python_compile

 *   environment, line  893:  Called esetup.py 'build'

 *   environment, line 1503:  Called die

 * The specific snippet of code:

 *       "${@}" || die

 * 

 * If you need support, post the output of `emerge --info '=dev-python/bsddb3-6.0.1::gentoo'`,

 * the complete build log and the output of `emerge -pqv '=dev-python/bsddb3-6.0.1::gentoo'`.

 * The complete build log is located at '/var/calculate/tmp/portage/dev-python/bsddb3-6.0.1/temp/build.log'.

 * The ebuild environment file is located at 

'/var/calculate/tmp/portage/dev-python/bsddb3-6.0.1/temp/environment'.

 * Working directory: '/var/calculate/tmp/portage/dev-python/bsddb3-6.0.1/work/bsddb3-6.0.1-python2_7'

 * S: '/var/calculate/tmp/portage/dev-python/bsddb3-6.0.1/work/bsddb3-6.0.1'



 * Messages for package dev-python/bsddb3-6.0.1:



 * ERROR: dev-python/bsddb3-6.0.1::gentoo failed (compile phase):

 *   (no error message)
 * 

 * Call stack:

 *     ebuild.sh, line   93:  Called src_compile

 *   environment, line 3844:  Called distutils-r1_src_compile

 *   environment, line 1021:  Called _distutils-r1_run_foreach_impl 'python_compile'

 *   environment, line  333:  Called python_foreach_impl 'distutils-r1_run_phase' 'python_compile'

 *   environment, line 3355:  Called multibuild_foreach_variant '_python_multibuild_wrapper' 

'distutils-r1_run_phase' 'python_compile'

 *   environment, line 2423:  Called _multibuild_run '_python_multibuild_wrapper' 'distutils-r1_run_phase' 

'python_compile'

 *   environment, line 2421:  Called _python_multibuild_wrapper 'distutils-r1_run_phase' 'python_compile'

 *   environment, line  599:  Called distutils-r1_run_phase 'python_compile'

 *   environment, line 1014:  Called python_compile

 *   environment, line 2963:  Called distutils-r1_python_compile

 *   environment, line  893:  Called esetup.py 'build'

 *   environment, line 1503:  Called die

 * The specific snippet of code:

 *       "${@}" || die

 * 

 * If you need support, post the output of `emerge --info '=dev-python/bsddb3-6.0.1::gentoo'`,

 * the complete build log and the output of `emerge -pqv '=dev-python/bsddb3-6.0.1::gentoo'`.

 * The complete build log is located at '/var/calculate/tmp/portage/dev-python/bsddb3-6.0.1/temp/build.log'.

 * The ebuild environment file is located at 

'/var/calculate/tmp/portage/dev-python/bsddb3-6.0.1/temp/environment'.

 * Working directory: '/var/calculate/tmp/portage/dev-python/bsddb3-6.0.1/work/bsddb3-6.0.1-python2_7'

 * S: '/var/calculate/tmp/portage/dev-python/bsddb3-6.0.1/work/bsddb3-6.0.1'

</pre>



Ð£ Ð¼ÐµÐ½Ñ• Ñ•Ñ‚Ð¾Ñ‚ Ð¿Ð°ÐºÐµÑ‚ ÑƒÑ•Ñ‚Ð°Ð½Ð°Ð²Ð»Ð¸Ð²Ð°ÐµÑ‚Ñ•Ñ• ÐºÐ°Ðº Ð¾Ð´Ð½Ð° Ð¸Ð· 

Ð·Ð°Ð²Ð¸Ñ•Ð¸Ð¼Ð¾Ñ•Ñ‚ÐµÐ¹ sci-biology/biopython. Ð’ Ñ‚Ð¾Ñ‚ Ð¼Ð¾Ð¼ÐµÐ½Ñ‚ 

Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸Ðµ Ð¿Ñ€ÐµÑ€Ð²Ð°Ð»Ð¾Ñ•ÑŒ, Ð¸ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ð° Ð¾Ñ•Ñ‚Ð°Ð»Ð°Ñ•ÑŒ 

Ð² Ð¿Ð¾Ð»ÑƒÐ¾Ð±Ð½Ð¾Ð²Ð»Ñ‘Ð½Ð½Ð¾Ð¼ Ñ•Ð¾Ñ•Ñ‚Ð¾Ñ•Ð½Ð¸Ð¸. Ð¡ÐµÐ¹Ñ‡Ð°Ñ• Ñ• 

Ð¿ÐµÑ€ÐµÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²Ð¸Ð» ÐµÑ‘ Ð½Ð°Ñ‡Ð¸Ñ•Ñ‚Ð¾, Ð½Ð¾ Ð¿Ñ€Ð¸ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐµ 

sci-biology/biopython Ð¾ÑˆÐ¸Ð±ÐºÐ° Ð²Ð¾Ñ•Ð¿Ñ€Ð¾Ð¸Ð·Ð²ÐµÐ»Ð°Ñ•ÑŒ. Ð’Ð¾Ð·Ð¼Ð¾Ð¶Ð½Ð¾, 

Ð¼Ð¾Ð¶Ð½Ð¾ Ñ•Ñ‚Ð¾ ÐºÐ°Ðº-Ñ‚Ð¾ Ð¸Ñ•Ð¿Ñ€Ð°Ð²Ð¸Ñ‚ÑŒ, Ð¸Ð»Ð¸ Ð´Ñ€ÑƒÐ³Ð¾Ð¹ Ð¿Ð°ÐºÐµÑ‚ 

Ð´Ð»Ñ• Ñ•Ñ‚Ð¾Ð³Ð¾ Ñ•Ð»Ð¾Ñ‚Ð° Ð¿Ð¾Ñ•Ñ‚Ð°Ð²Ð¸Ñ‚ÑŒ?



Ð’Ñ‹Ð²Ð¾Ð´ Ñ•Ð±Ð¾Ñ€ÐºÐ¸ Ð¿Ñ€Ð¸ÐºÑ€ÐµÐ¿Ð»Ñ•ÑŽ.

History

11/23/2015 04:34 pm - Alexander Tratsevskiy

- Status changed from New to Feedback

Ð Ð°Ð·Ð¼Ð°Ñ•ÐºÐ¸Ñ€ÑƒÐ¹Ñ‚Ðµ dev-python/bsddb3-6.1.1, Ð¾Ð½ Ñ•Ñ‚Ð°Ð²Ð¸Ñ‚Ñ•Ñ•.

11/23/2015 06:20 pm - Alexey Chernov

Ð”Ð°, Ñ• Ñ•Ñ‚Ð¾Ð¹ Ð²ÐµÑ€Ñ•Ð¸ÐµÐ¹ Ð´ÐµÐ¹Ñ•Ñ‚Ð²Ð¸Ñ‚ÐµÐ»ÑŒÐ½Ð¾ Ð²Ñ•Ñ‘ Ñ•Ñ‚Ð°Ð²Ð¸Ñ‚Ñ•Ñ• ÑƒÑ•Ð¿ÐµÑˆÐ½Ð¾. Ð‘Ð¾Ð»ÑŒÑˆÐ¾Ðµ 

Ñ•Ð¿Ð°Ñ•Ð¸Ð±Ð¾ Ð·Ð° Ð¿Ð¾Ð¼Ð¾Ñ‰ÑŒ!

11/24/2015 09:24 am - Alexander Tratsevskiy

- Status changed from Feedback to Closed
